#ifndef __CG_VEHICLES_PARSER_H__
#define __CG_VEHICLES_PARSER_H__

#include "../tiecommon/bg_vehicles.h"
#include "../tiecommon/bg_vehicles_parser.h"

char *Parser_ParseVehicles(char *ptr);
char *Parser_ParseVehicle(char *ptr, int *vehiclenum);

char *Parser_ParseModel(char *ptr, int *vehiclenum, int *modelnum);
char *Parser_ParseModels(char *ptr, int *vehiclenum);
char *Parser_ParseDisplay(char *ptr, int *vehiclenum);

char *Parser_ParseSound(char *ptr, int *vehiclenum);

int Parser_ParseVehicleInfo(char *filename);

#endif